Subject: American Horticultural Society on WWW

From: [email-masked] (American Horticultural Society)
Date: Mon, 15 May 1995 01:11:08 -0500

As of Monday, May 1st, the American Horticultural Society can be found on
the Worldwide Web as the resident expert in eMall's new Garden
Marketplace.

The address is:

http://eMall.com/garden/

They are supplying the online leisure gardener with valuable information
on plant selection and research, gardening techniques and garden tours, as
well as offering enrollment at a special online price to prospective new
members.

Founded in 1922, the American Horticultural Society is an educational,
non-profit organization that informs, educates, and inspires people of all
ages to become successful, environmentally responsible gardeners.

For more information, contact:

[email-masked]